/**
 * StockorderService.java
 * Copyright (C) 2010 SLMS
 * Simple Logistics Management System
 * 
 */
package com.zds.slms.service;

import java.util.List;

import com.zds.slms.dao.IStockorderDao;
import com.zds.slms.domain.Stockorder;

/**
 * Copyright (C) 2010:SLMS<br/>
 * Project:SLMS<br/>
 * Module ID:<br/>
 * Comments:Simple Logistics Management System<br/>
 * JDK version used:JDK1.6<br/>
 * Package:com.zds.slms.service<br/>
 * Author:chenyongzheng<br/>
 * Create Date:2010-12-7<br/>
 * Modified By:<br/>
 * Modified Date:<br/>
 * Why & What is modified:<br/>
 * Version:0.1<br/>
 */
public class StockorderService implements IStockorderService {
	// 订货单持久化处理接口
	private IStockorderDao stockorderDao;

	/*
	 * 订货单查询
	 * 
	 * @see
	 * com.zds.slms.service.IStockorderService#findStockorder(com.zds.slms.domain
	 * .Stockorder )
	 */
	public List<Stockorder> findStockorder(Stockorder stockorder) {
		return stockorderDao.findStockorder(stockorder);
	}

	/*
	 * 订货单保存
	 * 
	 * @see
	 * com.zds.slms.service.IStockorderService#saveStockorder(com.zds.slms.domain
	 * .Stockorder )
	 */
	public void saveStockorder(Stockorder stockorder) {
		stockorderDao.saveStockorder(stockorder);

	}

	/*
	 * 订货单删除
	 * 
	 * @see
	 * com.zds.slms.service.IStockorderService#deleteStockorder(java.lang.String
	 * [])
	 */
	public void deleteStockorder(String[] stockorderId) {
		stockorderDao.deleteStockorder(stockorderId);

	}

	/*
	 * 订货单更新
	 * 
	 * @see
	 * com.zds.slms.service.IStockorderService#updateStockorder(com.zds.slms
	 * .domain. Stockorder)
	 */
	public void updateStockorder(Stockorder stockorder) {
		stockorderDao.updateStockorder(stockorder);

	}

	/**
	 * @return the stockorderDao
	 */
	public IStockorderDao getStockorderDao() {
		return stockorderDao;
	}

	/**
	 * @param stockorderDao
	 *            the stockorderDao to set
	 */
	public void setStockorderDao(IStockorderDao stockorderDao) {
		this.stockorderDao = stockorderDao;
	}

}
